com.holonplatform.core.i18n

## Interface MessageProvider.PropertiesMessageProviderBuilder

- Enclosing interface:
    MessageProvider

      public static interface MessageProvider.PropertiesMessageProviderBuilder

  Builder to create `PropertiesMessageProvider` instances

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageProvider.PropertiesMessageProviderBuilder` | `basename(String basename)` Add a basename for resource locations.
    `MessageProvider` | `build()` Build `MessageProvider`
    `MessageProvider.PropertiesMessageProviderBuilder` | `classLoader(ClassLoader classLoader)` Set the ClassLoader to use to load properties files
    `MessageProvider.PropertiesMessageProviderBuilder` | `encoding(String encoding)` Set the charset to use for parsing properties files.

- - ### Method Detail

    - #### basename

          MessageProvider.PropertiesMessageProviderBuilder basename(String basename)

      Add a basename for resource locations.

      Properties files are resolved using configured basenames as prefix, and `Locale` language, country and variant separated by an underscore as file name. Files must have `.properties` extension.

      The basenames follow `ResourceBundle` conventions: essentially, a fully-qualified classpath location. If it doesn't contain a package qualifier, it will be resolved from the classpath root. Note that the JDK's standard ResourceBundle treats dots as package separators: This means that "test.messages" is equivalent to "test/messages".

      Parameters:
        `basename` - Basename to add
      Returns:
        this

    - #### encoding

          MessageProvider.PropertiesMessageProviderBuilder encoding(String encoding)

      Set the charset to use for parsing properties files.

      Default is none, using the `java.util.Properties` default encoding: ISO-8859-1.

      Parameters:
        `encoding` - Properties files encoding chaset
      Returns:
        this

    - #### classLoader

          MessageProvider.PropertiesMessageProviderBuilder classLoader(ClassLoader classLoader)

      Set the ClassLoader to use to load properties files
      Parameters:
        `classLoader` - ClassLoader to use to load properties files
      Returns:
        this

    - #### build

          MessageProvider build()

      Build `MessageProvider`
      Returns:
        MessageProvider

Copyright © 2017 The Holon Platform. All rights reserved.